View Issue Details

IDProjectCategoryView StatusLast Update
00297592.x IDE BugsBuild WindowsPublic2018-09-05 15:53
ReporterStewart BishopAssigned ToClaire Hall 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSWindowsOS Version
Product Version2.1.4 
Target Version2.2.0Fixed in Version2.2.0 
Summary0029759: Build Windows: Error making a zip if your Windows regional language is not set to English
DescriptionIf you've installed Windows as not English (United States) or English (United Kingdom) then you might get the following error to occur when you build a zip of your game on Windows:

Exception during processing System.ArgumentException: 1 is not a supported code page.
Parameter name: codepage
at System.Text.Encoding.GetEncoding(Int32 codepage)
at ICSharpCode.SharpZipLib.Zip.ZipConstants.ConvertToArray(String str)
at ICSharpCode.SharpZipLib.Zip.ZipConstants.ConvertToArray(Int32 flags, String str)
at ICSharpCode.SharpZipLib.Zip.ZipFile.WriteLocalEntryHeader(ZipUpdate update)
at ICSharpCode.SharpZipLib.Zip.ZipFile.AddEntry(ZipFile workFile, ZipUpdate update)
at ICSharpCode.SharpZipLib.Zip.ZipFile.RunUpdates()
at ICSharpCode.SharpZipLib.Zip.ZipFile.CommitUpdate()
at �.�.�(String �, String �, String �)

Reading https://stackoverflow.com/questions/46950386/sharpziplib-1-is-not-a-supported-code-page this is apparently easily fixed by specifying which codepage we need to be on by supplying "ICSharpCode.SharpZipLib.Zip.ZipConstants.DefaultCodePage = 437;" where required.

We should force the codepage rather than require users to change the Region settings on their Windows installation.
Steps To Reproduce1) Have your Windows 10 Region set to something other than English
2) Open GMS2
3) Attempt to create a ZIP for Windows
4) See that this can fail depending on the codepage SharpZipLib finds
TagsNo tags attached.
2.x IDE Found In2.1.5.314
2.x Runtime Found In2.1.5.237
2.x IDE Verified In2.2.0.334
2.x Runtime Verified In2.1.5.247

Activities

Claire Hall

2018-08-16 14:50

Developer   ~0061283

Have set the default code page, will need thorough testing for any zip archiving done in igor

Dan

2018-08-24 14:51

Adminstrator   ~0061373

Note that the number of languages which reproduced this issue was much smaller than originally thought.

Matthew McInnes

2018-09-05 15:53

Developer   ~0061522

Closing. Verified as fixed in:

IDE v2.2.0.334 Runtime v2.1.5.247